Bug 143680 - errors in pspell module in PHP after RHEL3 Update 4
Summary: errors in pspell module in PHP after RHEL3 Update 4
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: aspell (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-23 22:51 UTC by Pete Deffendol
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 07:55:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Deffendol 2004-12-23 22:51:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
After applying Update 4 to a RHEL3 AS system, the pspell-related
functions in PHP are returning errors:

<?php
$speller = pspell_new('en');
?>

Warning:  PSPELL couldn't open the dictionary. reason: I'm sorry I
can't find any suitable word lists for the language-tag "en".  in
/home/pete/spell.php on line 2



Version-Release number of selected component (if applicable):
php-4.3.2-19.ent, pspell-0.12.2-16.1

How reproducible:
Always

Steps to Reproduce:
1. Use pspell_new in a PHP script
2. Run script
3. See error message
    

Actual Results:  Error!

Expected Results:  Sample script would have successfully executed with
no output, as a valid pspell resource would have been created in PHP.

Additional info:

Comment 1 Pete Deffendol 2004-12-23 23:02:26 UTC
This might have something to do with it?  This is the diff in the file
list between aspell-0.33.7.1-25.i386.rpm and aspell-0.33.7.1-25.1.i386.rpm

< /usr/share/pspell
< /usr/share/pspell/en-american-aspell.pwli
< /usr/share/pspell/en-american-med-aspell.pwli
< /usr/share/pspell/en-aspell.pwli
< /usr/share/pspell/en-british-aspell.pwli
< /usr/share/pspell/en-british-med-aspell.pwli
< /usr/share/pspell/en-canadian-aspell.pwli
< /usr/share/pspell/en-canadian-med-aspell.pwli

Comment 2 Pete Deffendol 2004-12-23 23:06:30 UTC
Confirmed - reverting to aspell-0.33.7.1-25.1.i386.rpm solved the
problem.  I'll change component to aspell.

Comment 4 Christopher McCrory 2004-12-30 00:37:52 UTC
A aspell-config package was added

but not added to CD or downloads

rpm -qpl aspell-config-0.33.7.1-25.1test.i386.rpm

/usr/share/pspell
/usr/share/pspell/en-american-aspell.pwli
/usr/share/pspell/en-american-med-aspell.pwli
/usr/share/pspell/en-aspell.pwli
/usr/share/pspell/en-british-aspell.pwli
/usr/share/pspell/en-british-med-aspell.pwli
/usr/share/pspell/en-canadian-aspell.pwli
/usr/share/pspell/en-canadian-med-aspell.pwli


D'oh

-config should probable be required somewhere




Comment 5 Ivana Varekova 2005-05-19 07:55:41 UTC
This bug was fixed in version -0.33.7.1-25.3.


Note You need to log in before you can comment on or make changes to this bug.